<?php
/**
 * Moonyの動作に関する設定を行います。
 * 
 * @package Moony
 * @author YAMAOKA Hiroyuki <yamaoka@catwalker.jp>
 * @license http://www.opensource.org/licenses/bsd-license.php The BSD License
 */

// Moonyのバージョン表記
define('MOONY_VERSION', '0.7.0');

// Moonyの内部エンコーディング（変更しないでください）
define('MOONY_INTERNAL_ENCODING', 'UTF-8');

// Moonyの出力エンコーディング
define('MOONY_OUTPUT_ENCODING', 'UTF-8');

// テンプレートファイルのエンコーディング
define('MOONY_TEMPLATE_ENCODING', 'UTF-8');

// アクション名称が指定されない場合のデフォルトアクション名
define('MOONY_DEFAULT_ACTION_NAME', 'Index');

// URLの何階層目までをアクション設定として解釈するか
define('MOONY_EVAL_AS_ACTION_SETTING', 2);

// セッションを自動的に開始するかどうか
define('MOONY_SESSION_AUTO_START', true);

// 常にセッションIDの再生成を行うかどうか
define('MOONY_REGENERATE_SESSION_ID', false);

// Smartyのキャッシュ機能をアクションクラスがない場合にデフォルトで使用するかどうか
define('MOONY_SMARTY_USE_CACHE_WITHOUT_ACTION', false);

// Moonyのログファイル名称
define('MOONY_LOG_FILE', 'moony.log');

// ログファイルに出力する日付の形式（date関数を利用）
define('MOONY_LOG_DATE_FORMAT', 'Y/m/d H:i:s');

// ログのローテートを行うかどうか
define('MOONY_LOG_ROTATE', true);

// アクションクラスの拡張子
define('MOONY_ACTION_EXT', 'php');

// Smartyのテンプレートファイルの拡張子
define('MOONY_SMARTY_TEMPLATE_EXT', 'tpl');

?>
